Adding/Updating Dependencies

Adding/Updating Dependencies

Adding new Dependency

If you need to add a new dependency to Barbican, you must edit a few things:

  1. Add the package name (and minimum version if applicable) to the requirements.txt file in the root directory.


    All dependencies and their version specifiers must come from the OpenStack global requirements repository.

  2. We support deployment on CentOS 6.4, so you should check CentOS + EPEL 6 yum repos to figure out the name of the rpm package that provides the package you’re adding. Add this package name as a dependency in rpmbuild/SPECS/barbican.spec.

  3. If there is no package available in CentOS or EPEL, or if the latest available package’s version is lower than the minimum required version we must build an rpm for it ourselves. Add a line to rpmbuild/ so that jenkins will build an rpm using fpm and upload it to the cloudkeep yum repo.

Creative Commons Attribution 3.0 License

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.